Skip to main content
POST
Create a Flow Execution

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
string<uuid>
required

A Flow Id to create a Flow Execution.

Body

execute_for
enum<string>
required
Available options:
LIST
contact_list
object[]
required
has_priority
boolean
default:false

Specify as True if you want this execution to close any other running flows or conversations.

Response

201 - application/json
status
string
required
read-only

The status of the Flow Execution.

execute_for
enum<string>
required
Available options:
FILTERS,
LIST,
ALL
inbound_trigger_with
enum<string>
Available options:
ANY_MESSAGE,
TEXT,
IMAGE,
FILE
inbound_start_message
string | null
inbound_start_message_match_exact
boolean
id
string<uuid>
has_priority
boolean
flow_execution_variables
object
start_on
string<date-time> | null
num_contacts
integer
Required range: 0 <= x <= 2147483647
expired
integer
Required range: 0 <= x <= 2147483647
running
integer
Required range: 0 <= x <= 2147483647
completed
integer
Required range: 0 <= x <= 2147483647
canceled
integer
Required range: 0 <= x <= 2147483647
failed
integer
Required range: 0 <= x <= 2147483647
created_on
string<date-time>
avg_completion_time
string
contact_filters
object[]

The filters to use to get the Contacts that the Flow Execution will run for.

contact_list
object[]

The list of Contacts that the Flow Execution will run for.

source
enum<string>
Available options:
HUBSPOT,
API,
FRONTEND
is_hidden
boolean